

/*
 *
 * new Font
 *
 * created with FontCreator
 * written by F. Maximilian Thiele
 *
 * http://www.apetech.de/fontCreator
 * me@apetech.de
 *
 * File Name           : Sigma9.h
 * Date                : 09.09.2016
 * Font size in bytes  : 8922
 * Font width          : 9
 * Font height         : 15
 * Font first char     : 32
 * Font last char      : 128
 * Font used chars     : 96
 *
 * The font data are defined as
 *
 * struct _FONT_ {
 *     uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
 *     uint8_t    font_Width_in_Pixel_for_fixed_drawing;
 *     uint8_t    font_Height_in_Pixel_for_all_characters;
 *     unit8_t    font_First_Char;
 *     uint8_t    font_Char_Count;
 *
 *     uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
 *                  // for each character the separate width in pixels,
 *                  // characters < 128 have an implicit virtual right empty row
 *
 *     uint8_t    font_data[];
 *                  // bit field of all characters
 */

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef SIGMA9_H
#define SIGMA9_H

#define SIGMA9_WIDTH 9
#define SIGMA9_HEIGHT 15

static const uint8_t Sigma9[] PROGMEM = {
        0x27, 0x56, // size
    0x09, // width
    0x10, // height
    0x20, // first char
    0x60, // char count
    
    // char widths
    0x00, 0x02, 0x06, 0x07, 0x0C, 0x0C, 0x0F, 0x02, 0x04, 0x04, 
    0x05, 0x08, 0x02, 0x04, 0x02, 0x04, 0x07, 0x05, 0x07, 0x07, 
    0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x02, 0x02, 0x07, 0x08, 
    0x07, 0x08, 0x0E, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 
    0x07, 0x02, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 
    0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x04, 
    0x0C, 0x04, 0x0C, 0x07, 0x03, 0x07, 0x07, 0x06, 0x07, 0x07, 
    0x05, 0x07, 0x07, 0x02, 0x03, 0x06, 0x02, 0x07, 0x07, 0x07, 
    0x07, 0x07, 0x05, 0x06, 0x05, 0x07, 0x07, 0x07, 0x06, 0x07, 
    0x06, 0x0C, 0x02, 0x0D, 0x08, 0x07, 
    
    // font data
    0xFE, 0xFC, 0x6F, 0x6F, // 33
    0x1E, 0x1C, 0x00, 0x00, 0x1E, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 34
    0x40, 0xF8, 0xF0, 0x40, 0xF8, 0xF0, 0x40, 0x01, 0x07, 0x0F, 0x01, 0x07, 0x0F, 0x01, // 35
    0x07, 0x07, 0x87, 0x07, 0x87, 0xB7, 0xF7, 0x87, 0x87, 0x17, 0x17, 0x17, 0x00, 0x00, 0x00, 0xE1, 0x18, 0x07, 0x0F, 0x30, 0x22, 0x21, 0x84, 0x84, // 36
    0x1C, 0x3E, 0x22, 0x3E, 0x1C, 0xC0, 0xF0, 0x3C, 0x8E, 0x82, 0x80, 0x00, 0x00, 0x00, 0x18, 0x0C, 0x0F, 0x03, 0x00, 0x07, 0x0F, 0x08, 0x0F, 0x07, // 37
    0xFE, 0x7F, 0x41, 0x41, 0x41, 0x41, 0x71, 0x7D, 0x7D, 0x71, 0x41, 0x7F, 0xFE, 0x00, 0x00, 0xFF, 0xE9, 0xEA, 0xEA, 0x3C, 0x28, 0x28, 0x28, 0x3C, 0xEA, 0xEA, 0xE9, 0xFF, 0x00, 0x00, // 38
    0x1E, 0x1C, 0x00, 0x00, // 39
    0xF0, 0xFC, 0x1E, 0x02, 0x07, 0x3F, 0x78, 0x40, // 40
    0x02, 0x1E, 0xFC, 0xE0, 0x40, 0x78, 0x3F, 0x07, // 41
    0x14, 0x14, 0x0E, 0x14, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, // 42
    0x60, 0x60, 0x60, 0xFC, 0xF8, 0x60, 0x60, 0x60, 0x00, 0x00, 0x00, 0x03, 0x07, 0x00, 0x00, 0x00, // 43
    0x00, 0x00, 0x60, 0xE0, // 44
    0x80, 0x80, 0x80, 0x80, 0x01, 0x01, 0x01, 0x01, // 45
    0x00, 0x00, 0xC0, 0xC0, // 46
    0x00, 0xC0, 0xFE, 0x3E, 0x7C, 0x7F, 0x03, 0x00, // 47
    0xFC, 0xFE, 0x06, 0x06, 0x86, 0xFE, 0xFC, 0x7F, 0xFF, 0x86, 0x83, 0x81, 0xFF, 0x7F, // 48
    0x06, 0x06, 0xFE, 0xFC, 0x00, 0xC0, 0xC0, 0xFF, 0xFF, 0xC0, // 49
    0x00, 0x06, 0x86, 0x86, 0x86, 0xFE, 0xFC, 0x00, 0x7F, 0xFF, 0xC1, 0xC1, 0xC1, 0xC0, // 50
    0x00, 0x06, 0x86, 0x86, 0x86, 0xFE, 0x7C, 0x00, 0xC0, 0xC1, 0xC1, 0xC1, 0xFF, 0x7E, // 51
    0xFE, 0xFC, 0x00, 0x00, 0x00, 0xFE, 0xFC, 0x01, 0x03, 0x03, 0x03, 0x03, 0xFF, 0xFF, // 52
    0x00, 0xFC, 0xFE, 0x86, 0x86, 0x86, 0x06, 0x00, 0xC0, 0xC1, 0xC1, 0xC1, 0xFF, 0x7F, // 53
    0x00, 0xFC, 0xFE, 0x86, 0x86, 0x86, 0x06, 0x00, 0x7F, 0xFF, 0xC1, 0xC1, 0xFF, 0x7F, // 54
    0x00, 0x06, 0x06, 0x06, 0x06, 0xFE, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, // 55
    0x00, 0xFC, 0xFE, 0x06, 0x06, 0xFE, 0xFC, 0x00, 0x7F, 0xFF, 0xC3, 0xC3, 0xFF, 0x7F, // 56
    0x00, 0xFC, 0xFE, 0x86, 0x86, 0xFE, 0xFC, 0x00, 0x00, 0x01, 0x01, 0x01, 0xFF, 0xFF, // 57
    0x30, 0x30, 0x0C, 0x0C, // 58
    0x30, 0x30, 0x60, 0xE0, // 59
    0xC0, 0xC0, 0xE0, 0xE0, 0x30, 0x30, 0x18, 0x00, 0x00, 0x01, 0x01, 0x03, 0x03, 0x06, // 60
    0xB0, 0xB0, 0xB0, 0xB0, 0xB0, 0xB0, 0xB0, 0xB0, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, // 61
    0x18, 0x30, 0x30, 0xE0, 0xE0, 0xC0, 0xC0, 0x06, 0x03, 0x03, 0x01, 0x01, 0x00, 0x00, // 62
    0x08, 0x0C, 0x06, 0x86, 0xC6, 0xE6, 0x7C, 0x38, 0x00, 0x00, 0x00, 0x0D, 0x0D, 0x00, 0x00, 0x00, // 63
    0x00, 0x80, 0xE0, 0x78, 0x1E, 0x07, 0xE1, 0xE1, 0x07, 0x1E, 0x78, 0xE0, 0x80, 0x00, 0x3E, 0x37, 0x31, 0x30, 0x30, 0x30, 0x36, 0x36, 0x30, 0x30, 0x30, 0x31, 0x37, 0x3E, // 64
    0xFC, 0xFE, 0x06, 0x06, 0x06, 0xFE, 0xFC, 0xFF, 0xFF, 0x03, 0x03, 0x03, 0xFF, 0xFF, // 65
    0xFC, 0xFE, 0x86, 0x86, 0x86, 0xFE, 0x7C, 0xFF, 0xFF, 0xC1, 0xC1, 0xC1, 0xFF, 0x7E, // 66
    0xFC, 0xFE, 0x06, 0x06, 0x06, 0x06, 0x06, 0x7F, 0xFF, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, // 67
    0xFC, 0xFE, 0x06, 0x06, 0x0E, 0xFC, 0xF8, 0x7F, 0xFF, 0xC0, 0xC0, 0xE0, 0x7F, 0x3F, // 68
    0xFC, 0xFE, 0x86, 0x86, 0x86, 0x06, 0x06, 0x7F, 0xFF, 0xC1, 0xC1, 0xC1, 0xC0, 0xC0, // 69
    0x00, 0xFC, 0xFE, 0x06, 0x06, 0x06, 0x06, 0x00, 0xFF, 0xFF, 0x03, 0x03, 0x00, 0x00, // 70
    0xFC, 0xFE, 0x06, 0x06, 0x86, 0x86, 0x86, 0x7F, 0xFF, 0xC0, 0xC0, 0xC1, 0xFF, 0x7F, // 71
    0xFE, 0xFC, 0x00, 0x00, 0x00, 0xFE, 0xFC, 0xFF, 0xFF, 0x03, 0x03, 0x03, 0xFF, 0xFF, // 72
    0xFE, 0xFC, 0xFF, 0xFF, // 73
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0xFC, 0x00, 0x78, 0xF0, 0xC0, 0xC0, 0xFF, 0x7F, // 74
    0xFE, 0xFC, 0x80, 0x80, 0xF0, 0x7E, 0x0C, 0xFF, 0xFF, 0x01, 0x01, 0x07, 0xFE, 0xF8, // 75
    0xFE, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, // 76
    0xFE, 0xFC, 0x18, 0x30, 0x18, 0xFE, 0xFC, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, // 77
    0xFE, 0xFC, 0x18, 0x30, 0x60, 0xFE, 0xFC, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, // 78
    0xFC, 0xFE, 0x06, 0x06, 0x06, 0xFE, 0xFC, 0x7F, 0xFF, 0xC0, 0xC0, 0xC0, 0xFF, 0x7F, // 79
    0xFC, 0xFE, 0x86, 0x86, 0x86, 0xFE, 0xFC, 0xFF, 0xFF, 0x01, 0x01, 0x01, 0x01, 0x00, // 80
    0xFC, 0xFE, 0x06, 0x06, 0x06, 0xFE, 0xFC, 0x7F, 0xFF, 0xC0, 0xC0, 0xE0, 0xFF, 0xFF, // 81
    0xFC, 0xFE, 0x06, 0x06, 0x06, 0xFE, 0xFC, 0xFF, 0xFF, 0x03, 0x03, 0x07, 0xFF, 0xF9, // 82
    0xFC, 0xFE, 0x86, 0x86, 0x86, 0x86, 0x06, 0xC0, 0xC1, 0xC1, 0xC1, 0xC1, 0xFF, 0x7F, // 83
    0x06, 0x06, 0x06, 0xFE, 0xFE, 0x06, 0x06, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, // 84
    0xFE, 0xFC, 0x00, 0x00, 0x00, 0xFE, 0xFC, 0x7F, 0xFF, 0xC0, 0xC0, 0xC0, 0xFF, 0x7F, // 85
    0xFE, 0xFC, 0x00, 0x00, 0x00, 0xFE, 0xFC, 0x1F, 0x3F, 0x60, 0xC0, 0x60, 0x3F, 0x1F, // 86
    0xFE, 0xFC, 0x00, 0x00, 0x00, 0xFE, 0xFC, 0x7F, 0xFF, 0xC0, 0x60, 0xC0, 0xFF, 0x7F, // 87
    0x00, 0xFE, 0xFC, 0x00, 0x00, 0xFE, 0xFC, 0x00, 0xFC, 0xFF, 0x03, 0x03, 0xFF, 0xFC, // 88
    0xFE, 0xFC, 0x80, 0x80, 0x80, 0xFE, 0xFC, 0xC0, 0xC1, 0xC1, 0xC1, 0xC1, 0xFF, 0x7F, // 89
    0x06, 0x06, 0x06, 0x86, 0xE6, 0x7E, 0x1C, 0x40, 0xF0, 0xFC, 0xCF, 0xC3, 0xC0, 0xC0, // 90
    0xFE, 0xFE, 0x06, 0x06, 0x7F, 0x7F, 0x60, 0x60, // 91
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, // 92
    0x06, 0x06, 0xFE, 0xFE, 0x60, 0x60, 0x7F, 0x7F, // 93
    0x00, 0x00, 0x00, 0x80, 0xC0, 0x70, 0x1C, 0x86, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x7B, 0x63, 0x71, 0x5D, 0x07, 0x03, 0x00, 0x00, // 94
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, // 95
    0x02, 0x06, 0x04, 0x00, 0x00, 0x00, // 96
    0x00, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0x00, 0x78, 0xFC, 0xCC, 0xCC, 0xFF, 0x7F, // 97
    0x00, 0xFE, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xCC, 0xCC, 0xFC, 0x78, // 98
    0x00, 0x80, 0xC0, 0xC0, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xC0, 0xC0, 0x00, // 99
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0xFE, 0x00, 0x78, 0xFC, 0xCC, 0xCC, 0xFF, 0x7F, // 100
    0x00, 0x80, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0x00, 0x7F, 0xFF, 0xC4, 0xC4, 0xC7, 0xC7, // 101
    0x80, 0xC0, 0xC0, 0xC0, 0xC0, 0xFF, 0xFF, 0x18, 0x00, 0x00, // 102
    0x00, 0x80, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0x00, 0xC7, 0xCF, 0xCC, 0xCC, 0xFF, 0x7F, // 103
    0x00, 0xFE, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x0C, 0x0C, 0xFC, 0xF8, // 104
    0xCC, 0x88, 0xFF, 0xFF, // 105
    0x00, 0xF6, 0xE4, 0x80, 0xFF, 0x7F, // 106
    0xFE, 0xFC, 0x00, 0x00, 0xF0, 0xE0, 0xFF, 0xFF, 0x1C, 0x36, 0xE3, 0xC1, // 107
    0xFE, 0x00, 0xFF, 0xFF, // 108
    0xC0, 0x80, 0x80, 0x00, 0x80, 0xC0, 0x80, 0x7F, 0xFF, 0x81, 0x03, 0x01, 0x7F, 0xFF, // 109
    0xE0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, // 110
    0x80, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0x7F, 0xFF, 0xC0, 0xC0, 0xC0, 0xFF, 0x7F, // 111
    0x00, 0x80, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0x00, 0xFF, 0xFF, 0x0C, 0x0C, 0x0F, 0x07, // 112
    0x00, 0x80, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0xFF, 0xFF, // 113
    0x00, 0x80, 0xC0, 0xC0, 0xC0, 0x00, 0xFF, 0xFF, 0x00, 0x00, // 114
    0x00, 0x80, 0xC0, 0xC0, 0xC0, 0xC0, 0x00, 0xC7, 0xCF, 0xCC, 0xFC, 0x78, // 115
    0x18, 0x18, 0xFE, 0xFC, 0x18, 0x00, 0x00, 0x7F, 0xFF, 0x80, // 116
    0x00, 0xC0, 0x80, 0x00, 0x00, 0xC0, 0x80, 0x00, 0x7F, 0xFF, 0xC0, 0xC0, 0xFF, 0x7F, // 117
    0x00, 0xC0, 0x80, 0x00, 0x00, 0xC0, 0x80, 0x00, 0x3F, 0x7F, 0xC0, 0xC0, 0x7F, 0x3F, // 118
    0xC0, 0x80, 0x00, 0x00, 0x00, 0xC0, 0x80, 0x7F, 0xFF, 0xC0, 0x60, 0xC0, 0xFF, 0x7F, // 119
    0x00, 0xC0, 0x80, 0x00, 0xC0, 0x80, 0x00, 0xFB, 0xFF, 0x0C, 0xFF, 0xFB, // 120
    0x00, 0xC0, 0x80, 0x00, 0x00, 0xC0, 0x80, 0x00, 0xCF, 0xDF, 0xD0, 0xD0, 0xFF, 0x7F, // 121
    0x00, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0x00, 0x40, 0xF0, 0xFC, 0xCF, 0xC3, // 122
    0x00, 0x10, 0x00, 0xE4, 0x40, 0x80, 0x70, 0x0C, 0x30, 0xC2, 0x04, 0x20, 0x00, 0x3C, 0x42, 0xB1, 0xF8, 0xFC, 0xFE, 0xBC, 0x40, 0x20, 0x1F, 0x00, // 123
    0xFF, 0xFF, 0xFF, 0xFF, // 124
    0x0F, 0x13, 0x0F, 0x27, 0x8F, 0x07, 0x4F, 0xCF, 0x1F, 0x3F, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0xFF, 0x00, // 125
    0xF0, 0xE0, 0xC8, 0xC8, 0xC8, 0xC0, 0x80, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, // 126
    0xFE, 0xFE, 0xFE, 0xFE, 0xFE, 0xFE, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF // 127
   
};

#endif
